matrix_query.hpp File Reference

GLM_GTX_matrix_query More...

Go to the source code of this file.

## Functions

template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL bool | isIdentity (matType< T, P > const &m, T const &epsilon)
| Return whether a matrix is an identity matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL bool | isNormalized (tmat2x2< T, P > const &m, T const &epsilon)
| Return whether a matrix is a normalized matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL bool | isNormalized (tmat3x3< T, P > const &m, T const &epsilon)
| Return whether a matrix is a normalized matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL bool | isNormalized (tmat4x4< T, P > const &m, T const &epsilon)
| Return whether a matrix is a normalized matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL bool | isNull (tmat2x2< T, P > const &m, T const &epsilon)
| Return whether a matrix a null matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL bool | isNull (tmat3x3< T, P > const &m, T const &epsilon)
| Return whether a matrix a null matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL bool | isNull (tmat4x4< T, P > const &m, T const &epsilon)
| Return whether a matrix is a null matrix. More...
template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL bool | isOrthogonal (matType< T, P > const &m, T const &epsilon)
| Return whether a matrix is an orthonormalized matrix. More...

## Detailed Description

GLM_GTX_matrix_query

See also
  GLM Core (dependence)
  GLM_GTX_vector_query (dependence)

Definition in file matrix_query.hpp.